<?php

namespace Blackwhite29\Fbuid\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Fbuids policy
        \Blackwhite29\Fbuid\Models\Fbuids::class => \Blackwhite29\Fbuid\Policies\FbuidsPolicy::class,// Bind FbuidsCategories policy
        \Blackwhite29\Fbuid\Models\FbuidsCategories::class => \Blackwhite29\Fbuid\Policies\FbuidsCategoriesPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
